Subject: Ticket Assigned - My Account
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 29 May 2022 01:48:14 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I cant login to my account even after trying for so long. I have been trying to log in for the past hour but to no avail. I also changed my password hoping it would help me log in but the same issue persisted. I got the change password email but it didnt help at all and I'm still unable to log in to my account. It keeps saying the password or the email is wrong but neither are wrong and I'm helpless what to do now. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4414724